<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.RawBioAssay"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="t" uri="/WEB-INF/tab.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.varsearch.lucene-column");

final int rbaId = Values.getInt(request.getParameter("rbaId"));
final int fileId = Values.getInt(request.getParameter("fileId"));
final int lineNo = Values.getInt(request.getParameter("lineNo"));
final String snpId = Values.getStringOrNull(request.getParameter("snpId"));
final String idx = Values.getStringOrNull(request.getParameter("idx"));

DbControl dc = null;
try
{
	dc = sc.newDbControl();
	RawBioAssay rba = RawBioAssay.getById(dc, rbaId);
	String title = HTML.encodeTags(rba.getName());
%>
<base:page type="popup" title="<%="Variant - "+ title%>">
<base:head 
	scripts="tabcontrol-2.js,~hit-details.js,~varsearch.js"
	styles="tabcontrol.css,~css/varsearch.css"
>
<style>
#hit-summary b
{
	margin-left: 1em;
}

#hit-summary b:after
{
	font-weight: normal;
	content: ':';
}
#hit-all td
{
	white-space: nowrap;
}
#wizard-status
{
	margin-top: 1.75em;
}
</style>
</base:head>
<base:body data-read-only="1">
	<h1 id="doc-title"><%=title%></h1>

	<div id="page-data" class="datacontainer"
		data-rba="<%=rbaId%>" data-file="<%=fileId%>" data-line="<%=lineNo%>" data-snp="<%=HTML.encodeTags(snpId)%>" data-idx="<%=HTML.encodeTags(idx)%>"
	></div>

	<div class="content bottomborder" id="content">
	<t:tabcontrol 
		id="variant"
		subclass="dialogtabcontrol"
		position="bottom"
		style="display:none;">
		<t:tab 
			id="summary" 
			title="Summary" 
			>
			<table class="fullform input100" id="hit-summary"></table>
		</t:tab>
		<t:tab 
			id="all" 
			title="All" 
			>
			<table class="fullform input100 larger outlined" id="hit-all"></table>
		</t:tab>
	</t:tabcontrol>
	<div id="wizard-status"></div>
	</div>
	<base:buttongroup subclass="dialogbuttons" id="dialogbuttons">
		<base:button id="close" title="Close" />
	</base:buttongroup>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();	
}
%>